Skip to content

UpdatePerson

given_namestring or null

The first name or given name of the Person.

family_namestring or null

The last name or family name of the Person.

email_addressstring or null

The email address associated with the Person.

capacitynumber or null, (double)

The capacity of this Person if they are using a custom capacity instead of their Role's capacity.Note: This value can be cleared out by sending null in the request body.

billable_utilization_targetnumber or null, (double)

The billable utilization target of this Person if they are using a custom target utilization instead of their Role's target utilization. Note: This value can be cleared out by sending null in the request body.

billableboolean or null

Denotes whether this Person's time worked is billable. Defaults to true for new records.

start_datestring or null, (date)

The earliest date this Person is available for resourcing on a Project. The Person's capacity prior to this date is 0%.

end_datestring or null, (date)

If this Person will have or has had their employment or contract terminated, this is the last date they are available for resourcing on a project. They will automatically be archived after this date has passed, and their capacity will drop to 0%. This value can be cleared out by sending null in the request body.

worker_typestring or null(WorkerType)

Denotes whether this Person is a full time employee, contractor, etc. Defaults to full_time for new records.

Enum:"full_time""contractor"
tagsArray of strings or null

A list of tags used to categorize the Person for filtering, reporting, or custom grouping.

image_urlstring or null

A publicly-accessible URL to an avatar for this Person.

archivedboolean or null

Denotes whether this Person has been archived. This is complimentary to an EndDate that is today or in the past.

{ "given_name": "string", "family_name": "string", "email_address": "string", "capacity": 0.1, "billable_utilization_target": 0.1, "billable": true, "start_date": "2019-08-24", "end_date": "2019-08-24", "worker_type": "full_time", "tags": [ "string" ], "image_url": "string", "archived": true }